package com.tencent.mm.plugin.appbrand.dynamic.d;

import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ipcinvoker.extension.XIPCInvoker;
import com.tencent.mm.kernel.b.h;
import com.tencent.mm.kernel.g;
import com.tencent.mm.model.v.b;
import com.tencent.mm.plugin.appbrand.dynamic.d.a.a;
import com.tencent.mm.z.b.b$a;
import com.tencent.sqlitelint.config.SharePluginInfo;
import com.tencent.ytcommon.BuildConfig;
import org.json.JSONObject;

public final class m extends a {
    public m() {
        super("showDatePickerView", 457);
    }

    public final void a(com.tencent.mm.z.c.a aVar, JSONObject jSONObject, b$a<JSONObject> b_a) {
        AppMethodBeat.i(10860);
        b Qy = aVar.Qy();
        String string = Qy.getString("__page_view_id", BuildConfig.FLAVOR);
        Bundle bundle = new Bundle();
        bundle.putString(SharePluginInfo.ISSUE_KEY_ID, string);
        bundle.putString("data", jSONObject.toString());
        XIPCInvoker.a(Qy.getString("__process_name", ((h) g.RM().Rn()).eHT), bundle, a.class, new 1(this, b_a));
        AppMethodBeat.o(10860);
    }
}
